<template>
<div>
	 <i class="material-icons">brush</i> 
	 <div class="board-brush-picker"> 
		<div class="brush-option" :class="{ selected: brushes.small.isSelected }" @click="pickBrush(brushes.small)"><div class="brush-circle-icon small"></div></div>
		<div class="brush-option" :class="{ selected: brushes.medium.isSelected }" @click="pickBrush(brushes.medium)"><div class="brush-circle-icon medium"></div></div>
		<div class="brush-option" :class="{ selected: brushes.large.isSelected }" @click="pickBrush(brushes.large)"><div class="brush-circle-icon large"></div></div>
	</div>
</div>
</template>

<script>

export default {
	data () {
		return {
			brushes: {
				small: { size: 2, isSelected: true },
				medium: { size: 5, isSelected: false },
				large: { size: 7, isSelected: false }
			}
		}
	},

	methods: {
		pickBrush (brush) {
			this.resetSelection()
			brush.isSelected = true
			this.$emit('pickBrush', brush.size)
		},
		resetSelection () {
			// TODO: iterate this.brushes keys instead of setting each brush separately
			this.brushes.small.isSelected = false
			this.brushes.medium.isSelected = false
			this.brushes.large.isSelected = false
		}
	}
}
</script>

<style scoped>

.material-icons {
	position: absolute;
    top: 56px;
    font-size: 30px;
    left: -64px;
	color: #858585;
}

.board-brush-picker {
	position: absolute;
    top: 100px;
    left: -70px;
}

.brush-option {
	opacity: 0.3;
	cursor: pointer;
	height: 40px;
	width: 40px;
	border: 1px solid #eee;
}

.brush-circle-icon {
	border-radius: 50%;
	background-color: #959595;
}

.brush-circle-icon.small {
	height: 8px;
	width: 8px;
	margin: 16px;
}

.brush-circle-icon.medium {
	height: 13px;
	width: 13px;
	margin: 14px;
}

.brush-circle-icon.large {
	height: 17px;
	width: 17px;
	margin: 11px;
}

.brush-option.selected {
	opacity: 1;
}

</style>
